#version 330

uniform sampler2D uColorMap;

in vec2 gsTextureCoord;
out vec4 fsFragmentColor;

void main()
{
	fsFragmentColor = texture2D(uColorMap, gsTextureCoord);

	if (fsFragmentColor.r == 0 && fsFragmentColor.g == 0 && fsFragmentColor.b == 0)
	{
	   discard;
	}
}
